Bug 212357 - Show retained size by classes
Show retained size by classes
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.2
All All
: P2 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
bugdb_13882894
: PLAN, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 08:07 UTC by Jiri Sedlacek
Modified: 2013-07-04 06:58 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-05-11 08:07:19 UTC
The profiler should be able to show retained size by class. Other heap analyzers can do this, and it really can show memory leaks that just the top 10 or 20 objects by retained size can't.
Comment 1 Tomas Hurka 2012-06-25 12:53:42 UTC
Initial version done in profiler-main

changeset:   224978:b63d03db0a44
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Jun 25 14:05:53 2012 +0200
summary:     issue #212357, initial version of Show retained size by classes
Comment 2 Quality Engineering 2012-06-26 04:55:32 UTC
Integrated into 'main-golden', will be available in build *201206260002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b63d03db0a44
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #212357, initial version of Show retained size by classes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo